//
//  ViewController.swift
//  Test~~~
//
//  Created by mac on 16/4/21.
//  Copyright © 2016年 Ysy. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    var Kwidth = UIScreen.mainScreen().bounds.size.width
    var Kheight = UIScreen.mainScreen().bounds.size.height
    var below:UIView?
    var middle:UIView?
    var main:UIView?
    var height:CGFloat?
    
    override func viewDidLoad() {
        super.viewDidLoad()
        self.configUI()
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    func configUI() {
        height = Kheight / 6
//        below = UIView(frame: UIScreen.mainScreen().bounds)
//        below?.backgroundColor = UIColor.orangeColor()
        for (var i = 0; i<6; i++) {
            print((Kheight)/CGFloat(5) * CGFloat(i))
            let label = UILabel(frame: CGRect(x: 0, y: (Kheight)/CGFloat(6) * CGFloat(i), width: Kwidth, height: height!))
            label.font = UIFont.systemFontOfSize(40.0)
            label.textColor = UIColor.blackColor()
            label.textAlignment = NSTextAlignment.Center;
            label.text = "T E S T";
            self.view.addSubview(label)
        }
//        self.view.addSubview(below!)
        
        middle = UIView(frame: CGRect(x: 0, y: 0, width: Kwidth, height: height!))
        middle?.backgroundColor = UIColor.grayColor()
        middle?.clipsToBounds = true
        self.view.addSubview(middle!)
        let pan = UIPanGestureRecognizer.init(target: self, action: "pan:")
        middle?.addGestureRecognizer(pan)
        
        main = UIView.init(frame: CGRect(x: 0, y: 0, width: Kwidth, height: height!))
        for var i = 0; i<6; i++ {
            print("1")
            main?.addSubview(self.returnLabel("T E S T", frame: CGRect(x: 0, y: (Kheight)/CGFloat(6) * CGFloat(i), width: Kwidth, height: height!), color: UIColor.whiteColor()))
        }

        middle?.addSubview(main!)
        
    }
    
    func pan(sender:UIPanGestureRecognizer) {
        let pt = sender.translationInView(self.view)
        var midCenter = middle!.center;
        var labelCenter = main!.center;
//        print("midCenter-----labelCenter", midCenter.y,labelCenter.y)
//        print("labelCenter------", labelCenter)
        
        midCenter.y += pt.y;
        labelCenter.y -= pt.y;
        //边界
        if (midCenter.y > self.view.frame.size.height - height!/2.0)
        {
            midCenter.y =  self.view.frame.size.height - height!/2.0
            labelCenter.y = -self.view.frame.size.height + height!*1.5;
        }
        if (midCenter.y < height!/2.0)
        {
            midCenter.y = height!/2.0
            labelCenter.y = height!/2.0
        }
        
        middle!.center = midCenter;
        main!.center = labelCenter;
        
        sender.setTranslation(CGPointZero, inView: self.view)
    }
    
    func returnLabel(title:String, frame:CGRect, color:UIColor) ->UILabel{
        let label = UILabel.init(frame: frame)
        let R:CGFloat = CGFloat(random())/CGFloat(RAND_MAX)
        let G:CGFloat = CGFloat(random())/CGFloat(RAND_MAX)
        let B:CGFloat = CGFloat(random())/CGFloat(RAND_MAX)

        label.textColor = UIColor(red: R, green: G, blue: B, alpha: 1)
        label.text = title;
        label.textAlignment = NSTextAlignment.Center
        label.font = UIFont.systemFontOfSize(40.0)
//        print(label)
//        label.userInteractionEnabled = true
        return label
    }
    
    override func prefersStatusBarHidden() -> Bool {
        return true
    }
    
    
    
    
    
    
}
